Skip to content

Get reservations

GET
/v1/reservations

Gets a list with reservations made with this specific client/distributor id

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
created

Filter reservation on their creation date

Type
string
valid_until

Filter reservation on their valid until date

Type
string
status

Enum: active, booked, void, error, extended

Type
string
query

query

Type
string
event_id

Filter reservation on their event ID

Type
string
distributor_id

Filter reservation on their distributor id

Type
string
on_behalf

Filter reservations on booked on behalf

Type
boolean
ticket_id

Find reservations with ticket id

Type
string
sport_type

Filter reservations by sport type

Type
string
external_reference_id

Filter reservations by external reference

Type
string

Responses

OK

application/json
JSON
{
  
"reservations": [
  
  
{
  
  
  
"client_id": "34e7303056c84c74abe9d48a5fbf68aa_cln",
  
  
  
"reservation_id": "64dab4ad7b7a442389a71bc253de0a09_rsv",
  
  
  
"status": "active",
  
  
  
"notify_client": true,
  
  
  
"notes": "Example note.",
  
  
  
"valid_until": "2025-05-01T12:30:32",
  
  
  
"created": "2025-05-01T12:20:32",
  
  
  
"updated": "2025-05-01T12:20:32",
  
  
  
"parent_allocation_id": null,
  
  
  
"external_reference_id": "octo-order-12345",
  
  
  
"items": [
  
  
  
  
{
  
  
  
  
  
"ticket_id": "b30c5d2d019e4eeba8de2bdd96e93434_tck",
  
  
  
  
  
"quantity": 10,
  
  
  
  
  
"salesprice": 340000,
  
  
  
  
  
"net_rate": 340000,
  
  
  
  
  
"currency": "EUR",
  
  
  
  
  
"ticket_name": "Debenture seat",
  
  
  
  
  
"event_name": "4th Round (Men's & Ladies) - Centre Court - Day 8 - Wimbledon (2026)"
  
  
  
  
}
  
  
  
]
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples